# Class TCEFWindowInfoWrapper

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFWindowInfoWrapper

## Declaration

`type TCEFWindowInfoWrapper = class(TObject)`

## Description

Wrapper class used to initialize a TCEFWindowInfo record.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_win.h">CEF source file: /include/internal/cef_win.h (CefWindowInfo))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_mac.h">CEF source file: /include/internal/cef_mac.h (CefWindowInfo))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_linux.h">CEF source file: /include/internal/cef_linux.h (CefWindowInfo))

## Hierarchy

- TObject
- TCEFWindowInfoWrapper

## Overview

### Fields

| `FWindowInfo: TCEFWindowInfo;`

### Methods

| `function GetWindowName: ustring;`
| `function GetBounds: TCefRect;`
| `function GetParentWindow: TCefWindowHandle;`
| `function GetWindowlessRenderingEnabled: boolean;`
| `function GetSharedTextureEnabled: boolean;`
| `function GetExternalBeginFrameEnabled: boolean;`
| `function GetWindow: TCefWindowHandle;`
| `function GetRuntimeStyle: TCefRuntimeStyle;`
| `function GetExStyle: DWORD;`
| `function GetStyle: DWORD;`
| `function GetMenu: HMENU;`
| `procedure SetWindowName(const aValue : ustring);`
| `procedure SetBounds(const aValue : TCefRect);`
| `procedure SetParentWindow(aValue : TCefWindowHandle);`
| `procedure SetWindowlessRenderingEnabled(aValue : boolean);`
| `procedure SetSharedTextureEnabled(aValue : boolean);`
| `procedure SetExternalBeginFrameEnabled(aValue : boolean);`
| `procedure SetWindow(aValue : TCefWindowHandle);`
| `procedure SetRuntimeStyle(aValue : TCefRuntimeStyle);`
| `procedure SetExStyle(aValue : DWORD);`
| `procedure SetStyle(aValue : DWORD);`
| `procedure SetMenu(aValue : HMENU);`
| `constructor Create;`
| `procedure CopyFromWindowInfo(const aSrcWindowInfo: TCEFWindowInfo);`
| `class procedure AsChild(var aWindowInfo: TCEFWindowInfo; aParent : TCefWindowHandle; aWindowBounds : TRect);`
| `procedure SetAsChild(aParent : TCefWindowHandle; aWindowBounds : TRect);`
| `class procedure AsPopup(var aWindowInfo: TCEFWindowInfo; aParent : TCefWindowHandle; const aWindowName : ustring);`
| `procedure SetAsPopup(aParent : TCefWindowHandle; const aWindowName : ustring);`
| `class procedure AsWindowless(var aWindowInfo: TCEFWindowInfo; aParent : TCefWindowHandle);`
| `procedure SetAsWindowless(aParent : TCefWindowHandle);`

### Properties

| `property WindowInfoRecord : TCEFWindowInfo read FWindowInfo write FWindowInfo;`
| `property WindowName : ustring read GetWindowName write SetWindowName;`
| `property Bounds : TCefRect read GetBounds write SetBounds;`
| `property WindowlessRenderingEnabled : boolean read GetWindowlessRenderingEnabled write SetWindowlessRenderingEnabled;`
| `property SharedTextureEnabled : boolean read GetSharedTextureEnabled write SetSharedTextureEnabled;`
| `property ExternalBeginFrameEnabled : boolean read GetExternalBeginFrameEnabled write SetExternalBeginFrameEnabled;`
| `property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle write SetRuntimeStyle;`
| `property ExStyle : DWORD read GetExStyle write SetExStyle;`
| `property Style : DWORD read GetStyle write SetStyle;`
| `property Menu : HMENU read GetMenu write SetMenu;`
| `property ParentWindow : TCefWindowHandle read GetParentWindow write SetParentWindow;`
| `property Window : TCefWindowHandle read GetWindow write SetWindow;`

## Description

### Fields

| `FWindowInfo: TCEFWindowInfo;`
This item has no description.

### Methods

| `function GetWindowName: ustring;`
This item has no description.

| `function GetBounds: TCefRect;`
This item has no description.

| `function GetParentWindow: TCefWindowHandle;`
This item has no description.

| `function GetWindowlessRenderingEnabled: boolean;`
This item has no description.

| `function GetSharedTextureEnabled: boolean;`
This item has no description.

| `function GetExternalBeginFrameEnabled: boolean;`
This item has no description.

| `function GetWindow: TCefWindowHandle;`
This item has no description.

| `function GetRuntimeStyle: TCefRuntimeStyle;`
This item has no description.

| `function GetExStyle: DWORD;`
This item has no description.

| `function GetStyle: DWORD;`
This item has no description.

| `function GetMenu: HMENU;`
This item has no description.

| `procedure SetWindowName(const aValue : ustring);`
This item has no description.

| `procedure SetBounds(const aValue : TCefRect);`
This item has no description.

| `procedure SetParentWindow(aValue : TCefWindowHandle);`
This item has no description.

| `procedure SetWindowlessRenderingEnabled(aValue : boolean);`
This item has no description.

| `procedure SetSharedTextureEnabled(aValue : boolean);`
This item has no description.

| `procedure SetExternalBeginFrameEnabled(aValue : boolean);`
This item has no description.

| `procedure SetWindow(aValue : TCefWindowHandle);`
This item has no description.

| `procedure SetRuntimeStyle(aValue : TCefRuntimeStyle);`
This item has no description.

| `procedure SetExStyle(aValue : DWORD);`
This item has no description.

| `procedure SetStyle(aValue : DWORD);`
This item has no description.

| `procedure SetMenu(aValue : HMENU);`
This item has no description.

| `constructor Create;`
This item has no description.

| `procedure CopyFromWindowInfo(const aSrcWindowInfo: TCEFWindowInfo);`
Copy the information from an external TCEFWindowInfo instance

| `class procedure AsChild(var aWindowInfo: TCEFWindowInfo; aParent : TCefWindowHandle; aWindowBounds : TRect);`
Create the browser as a child window.

| `procedure SetAsChild(aParent : TCefWindowHandle; aWindowBounds : TRect);`
Create the browser as a child window.

| `class procedure AsPopup(var aWindowInfo: TCEFWindowInfo; aParent : TCefWindowHandle; const aWindowName : ustring);`
Create the browser as a popup window.

| `procedure SetAsPopup(aParent : TCefWindowHandle; const aWindowName : ustring);`
Create the browser as a popup window.

| `class procedure AsWindowless(var aWindowInfo: TCEFWindowInfo; aParent : TCefWindowHandle);`
Create the browser using windowless (off-screen) rendering. No window will be created for the browser and all rendering will occur via the ICefRenderHandler interface. The |parent| value will be used to identify monitor info and to act as the parent window for dialogs, context menus, etc. If |parent| is not provided then the main screen monitor will be used and some functionality that requires a parent window may not function correctly. In order to create windowless browsers the TCefSettings.windowless_rendering_enabled value must be set to true. Transparent painting is enabled by default but can be disabled by setting ICefBrowserSettings.background_color to an opaque value.

| `procedure SetAsWindowless(aParent : TCefWindowHandle);`
Create the browser using windowless (off-screen) rendering. No window will be created for the browser and all rendering will occur via the ICefRenderHandler interface. The |parent| value will be used to identify monitor info and to act as the parent window for dialogs, context menus, etc. If |parent| is not provided then the main screen monitor will be used and some functionality that requires a parent window may not function correctly. In order to create windowless browsers the TCefSettings.windowless_rendering_enabled value must be set to true. Transparent painting is enabled by default but can be disabled by setting ICefBrowserSettings.background_color to an opaque value.

### Properties

| `property WindowInfoRecord : TCEFWindowInfo read FWindowInfo write FWindowInfo;`
Internal TCEFWindowInfo instance

| `property WindowName : ustring read GetWindowName write SetWindowName;`
The initial title of the window, to be set when the window is created. Some layout managers (e.g., Compiz) can look at the window title in order to decide where to place the window when it is created. When this attribute is not empty, the window title will be set before the window is mapped to the dispay. Otherwise the title will be initially empty.

| `property Bounds : TCefRect read GetBounds write SetBounds;`
Initial window bounds.

| `property WindowlessRenderingEnabled : boolean read GetWindowlessRenderingEnabled write SetWindowlessRenderingEnabled;`
Set to true (1) to create the browser using windowless (off-screen) rendering. No window will be created for the browser and all rendering will occur via the ICefRenderHandler interface. The |parent_window| value will be used to identify monitor info and to act as the parent window for dialogs, context menus, etc. If |parent_window| is not provided then the main screen monitor will be used and some functionality that requires a parent window may not function correctly. In order to create windowless browsers the TCefSettings.windowless_rendering_enabled value must be set to true. Transparent painting is enabled by default but can be disabled by setting TCefBrowserSettings.background_color to an opaque value.

| `property SharedTextureEnabled : boolean read GetSharedTextureEnabled write SetSharedTextureEnabled;`
Set to true (1) to enable shared textures for windowless rendering. Only valid if windowless_rendering_enabled above is also set to true. Currently only supported on Windows (D3D11).

| `property ExternalBeginFrameEnabled : boolean read GetExternalBeginFrameEnabled write SetExternalBeginFrameEnabled;`
Set to true (1) to enable the ability to issue BeginFrame requests from the client application by calling ICefBrowserHost.SendExternalBeginFrame.

| `property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle write SetRuntimeStyle;`
Optionally change the runtime style. Alloy style will always be used if |windowless_rendering_enabled| is true. See TCefRuntimeStyle documentation for details.

| `property ExStyle : DWORD read GetExStyle write SetExStyle;`
Standard parameters required by CreateWindowEx(). Used as the dwExStyle parameter in CreateWindowEx. <see href="https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-createwindowexw">Read the CreateWindowExW article.)

| `property Style : DWORD read GetStyle write SetStyle;`
Used as the dwStyle parameter in CreateWindowEx. <see href="https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-createwindowexw">Read the CreateWindowExW article.)

| `property Menu : HMENU read GetMenu write SetMenu;`
Used as the hMenu parameter in CreateWindowEx. <see href="https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-createwindowexw">Read the CreateWindowExW article.)

| `property ParentWindow : TCefWindowHandle read GetParentWindow write SetParentWindow;`
Used as the hWndParent parameter in CreateWindowEx. <see href="https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-createwindowexw">Read the CreateWindowExW article.)

| `property Window : TCefWindowHandle read GetWindow write SetWindow;`
Handle for the new browser window. Only used with windowed rendering.

Generated by PasDoc 0.16.0-snapshot.